package de.joethei.java1;

import java.util.Random;
import java.util.Scanner;

public class Zettel5 {

    public static void main(String[] args) {
        aufgabe1();
        aufgabe2();
        aufgabe3a();
        aufgabe3b();
        aufgabe4a();
        aufgabe4b();
        aufgabe4c();
        aufgabe5();
        aufgabe6();
    }

    private static void aufgabe1() {
        Scanner scanner = new Scanner(System.in);
        System.out.println("Geben sie eine ganze positive Zahl ein");
        int number = scanner.nextInt();
        do{
            switch (number % 10) {
                case 0:
                    System.out.print("null");
                    break;
                case 1:
                    System.out.print("eins");
                    break;
                case 2:
                    System.out.print("zwei");
                    break;
                case 3:
                    System.out.print("drei");
                    break;
                case 4:
                    System.out.print("vier");
                    break;
                case 5:
                    System.out.print("fünf");
                    break;
                case 6:
                    System.out.print("sechs");
                    break;
                case 7:
                    System.out.print("sieben");
                    break;
                case 8:
                    System.out.print("acht");
                    break;
                case 9:
                    System.out.print("neun");
                    break;
            }
            System.out.print(" ");
            number /= 10;
        } while  (number > 0);
        System.out.println();
    }

    private static void aufgabe2() {
        Scanner scanner = new Scanner(System.in);
        System.out.println("Geben Sie die Länge der alternierenden harmonischen Reihe an");
        System.out.println(aufgabe2(scanner.nextInt()));
    }

    private static double aufgabe2(int n) {
        if(n == 1) return 1.0;
        else if((n % 2) == 0) {
            return aufgabe2(n-1) - (1.0/n);
        }else {
            return aufgabe2(n-1) + (1.0/n);
        }
    }

    private static void aufgabe3a() {
        int[] array = new int[10];
        Random random = new Random();
        for (int i = 0; i < 1000; i++) {
            array[random.nextInt(10)] +=1;
        }
        for (int i = 1; i <= 10; i++) {
            System.out.println(i + "=" + array[i-1]);
        }
    }

    private static void aufgabe3b() {
        int[] array = new int[10];
        Random random = new Random();
        int i = 0;
        while (i < 1000) {
            array[random.nextInt(10)] +=1;
            i++;
        }
        int j = 1;
        while (j <= 10) {
            System.out.println(j + "=" + array[j-1]);
            j++;
        }
    }

    private static void aufgabe4a() {
        Scanner scanner = new Scanner(System.in);
        System.out.println("Wie lang soll das Feld werden ?");
        int[] array = new int[scanner.nextInt()];
        for (int i = 0; i < array.length; i++) {
            System.out.println((i + 1) + ". Feld angeben");
            array[i] = scanner.nextInt();
        }
        int min = Integer.MAX_VALUE;
        for (int i : array) {
            min = Math.min(min, i);
        }
        System.out.println("Die kleinste Element ist " + min);
    }

    private static void aufgabe4b() {
        Scanner scanner = new Scanner(System.in);
        System.out.println("Wie lang soll das Feld werden ?");
        int[] array = new int[scanner.nextInt()];
        for (int i = 0; i < array.length; i++) {
            System.out.println((i + 1) + ". Feld angeben");
            array[i] = scanner.nextInt();
        }
        int max = 0;
        for (int i : array) {
            max = Math.max(max, i);
        }
        System.out.println("Die größte Element ist " + max);
    }

    private static void aufgabe4c() {
        Scanner scanner = new Scanner(System.in);
        System.out.println("Wie lang soll das Feld werden ?");
        int[] array = new int[scanner.nextInt()];
        for (int i = 0; i < array.length; i++) {
            System.out.println((i + 1) + ". Feld angeben");
            array[i] = scanner.nextInt();
        }

        int sum = 0;
        for (int i : array) {
            sum += i;
        }
        System.out.println("Der Durchschnitt der angegeben Zahlen ist " + (sum / array.length));
    }

    private static void aufgabe5() {
        Scanner scanner = new Scanner(System.in);
        System.out.println("Wie viele Elemente soll das Feld haben ?");
        int[] array = new int[scanner.nextInt()];
        for (int i = 0; i < array.length; i++) {
            System.out.println((i + 1) + ". Feld angeben");
            array[i] = scanner.nextInt();
        }
        for (int i = 1; i < array.length; i++) {
            if((i % 2) == 0) {
                int temp = array[i];
                array[i] = array[i-1];
                array[i-1] = temp;
            }
        }
        for (int i : array) {
            System.out.print(i + " ");
        }
    }

    private static void aufgabe6() {
        int[] array = new int[]{2, 17, 3, -1, 5, 0, 0, 23};
        int left = 0;
        int min;
        do {
            min = left;
            for (int i = left+1; i < array.length; i++) {
                if(array[i] < array[min]) min = i;
            }
            int temp = array[min];
            array[min] = array[left];
            array[left] = temp;
            left +=1;

        }while (left < array.length);
        for(int i : array) {
            System.out.print(i + " ");
        }
    }
}