package de.joethei.java1.zettel7;

public class Angebot {

    private int basispreis;
    private int freiMinuten;
    private double minutenPreis;

    public Angebot(int basispreis, int freiMinuten, double minutenPreis) {
        this.basispreis = basispreis;
        this.freiMinuten = freiMinuten;
        this.minutenPreis = minutenPreis;
    }

    public int getBasispreis() {
        return basispreis;
    }

    public int getFreiMinuten() {
        return freiMinuten;
    }

    public double getMinutenPreis() {
        return minutenPreis;
    }

    public double berechnePreis(int minuten) {
        return basispreis + (minuten - freiMinuten) * minutenPreis;
    }
}