package de.joethei.java1.zettel7;

import java.util.ArrayList;
import java.util.Scanner;

public class Main{

    public static void main(String[] args) {

        Bruch bruch = new Bruch(1, 2);

        System.out.println(bruch.addition(new Bruch(1, 2)).toString());
        System.out.println(bruch.substraktion(new Bruch(1, 2)).toString());
        System.out.println(bruch.multiplikation(new Bruch(1, 2)).toString());
        System.out.println(bruch.division(new Bruch(1, 2)).toString());

        System.out.println(bruch.equals(new Bruch(5, 10)));
        System.out.println(bruch.equals(new Bruch(5, 6)));

        ArrayList<Angebot> angebote = new ArrayList<>();
        angebote.add(new Angebot(27, 45, 0.14));
        angebote.add(new Angebot(30, 50, 0.13));
        angebote.add(new Angebot(5, 0, 0.3));
        angebote.add(new Angebot(10, 20, 0.08));

        System.out.println("Gesprächsminuten eingeben");
        Scanner scanner = new Scanner(System.in);
        int minuten = scanner.nextInt();

        Angebot tmp = angebote.get(0);
        for(Angebot angebot : angebote) {
            if (angebot.berechnePreis(minuten) <= tmp.berechnePreis(minuten)) tmp = angebot;
        }
        System.out.println("Der Vertrag mit dem Baisispreis " + tmp.getBasispreis() + " ist am günstigsten");

        Fuhrpark fuhrpark = new Fuhrpark();
        fuhrpark.addFahrzeug(new Bus("EMD ER 124", 10));
        fuhrpark.addFahrzeug(new LKW("EMD ER 123", 5.3));

        for(Fahrzeug fahrzeug : fuhrpark.getFahrzeuge()) {
            fahrzeug.berechneSteuer();
        }

        System.out.println(fuhrpark.toString());

    }
}