package de.joethei.java1.zettel7;

public class Bruch {

    private int zaehler;
    private int nenner;

    public Bruch(int zaehler, int nenner) {
        this.zaehler = zaehler;
        this.nenner = nenner;
    }

    public Bruch addition(Bruch bruch) {
        int nenner = this.nenner * bruch.nenner;
        int zaehler1 = this.zaehler * bruch.nenner;
        int zaehler2 = bruch.zaehler * this.nenner;
        return new Bruch(zaehler1 + zaehler2, nenner);
    }

    public Bruch substraktion(Bruch bruch) {
        int nenner = this.nenner * bruch.nenner;
        int zaehler1 = this.zaehler * bruch.nenner;
        int zaehler2 = bruch.zaehler * this.nenner;
        return new Bruch(zaehler1 - zaehler2, nenner);
    }

    public Bruch multiplikation(Bruch bruch) {
        return new Bruch(this.zaehler * bruch.zaehler, this.nenner * bruch.nenner);
    }

    public Bruch division(Bruch bruch) {
        return this.multiplikation(new Bruch(bruch.nenner, bruch.zaehler));
    }

    public double toDouble() {
        return (double) this.zaehler / this.nenner;
    }

    public static Bruch addition(Bruch bruch, Bruch bruch1) {
        int nenner = bruch1.nenner * bruch.nenner;
        int zaehler1 = bruch1.zaehler * bruch.nenner;
        int zaehler2 = bruch.zaehler * bruch1.nenner;
        return new Bruch(zaehler1 + zaehler2, nenner);
    }


    public boolean equals(Bruch bruch) {
        int zaehler1 = this.zaehler * bruch.nenner;
        int zaehler2 = bruch.zaehler * this.nenner;
        return zaehler1 == zaehler2;
    }

    @Override
    public String toString() {
        return this.zaehler + "/" + this.nenner;
    }
}