package de.joethei.java1.zettel7;

public class Bus extends Fahrzeug {
    private int sitzplaetze;

    public Bus(String kennzeichen, int sitzplaetze) {
        super.setKennzeichen(kennzeichen);
        this.sitzplaetze = sitzplaetze;
    }

    public int getSitzplaetze() {
        return sitzplaetze;
    }

    public void setSitzplaetze(int sitzplaetze) {
        this.sitzplaetze = sitzplaetze;
    }

    @Override
    public double berechneSteuer() {
        return 800 + (sitzplaetze * 5);
    }

    @Override
    public String toString() {
        return super.toString() + ": Bus mit " + sitzplaetze + " Sitzplätzen. " + berechneSteuer() + "€ Steuern müssen bezahlt werden.";
    }


    @Override
    public boolean equals(Object o) {
        return super.equals(o) && o instanceof Bus && (getSitzplaetze() == ((Bus)o).getSitzplaetze());
    }
}
