package de.joethei.java1.zettel7;

import java.util.ArrayList;

public class Fuhrpark {

    private ArrayList<Fahrzeug> fahrzeuge = new ArrayList<>();

    public boolean addFahrzeug(Fahrzeug fahzeug) {
        return fahrzeuge.add(fahzeug);
    }

    public ArrayList<Fahrzeug> getFahrzeuge() {
        return fahrzeuge;
    }

    public double berechneSteuer() {
        double tmp = 0.D;
        for(Fahrzeug fahrzeug : fahrzeuge) {
            tmp += fahrzeug.berechneSteuer();
        }
        return tmp;
    }

    @Override
    public String toString() {
        StringBuilder tmp = new StringBuilder();
        tmp.append(berechneSteuer()).append("\n");
        for(Fahrzeug fahrzeug : fahrzeuge) {
            tmp.append(fahrzeug.toString());
            tmp.append("\n");
        }
        return tmp.toString();
    }
}
