package de.joethei.java1.zettel7;

public class LKW extends Fahrzeug {
    private double nutzlast;

    public LKW(String kennzeichen, double nutzlast) {
        super.setKennzeichen(kennzeichen);
        this.nutzlast = nutzlast;
    }

    public LKW(LKW lkw) {
        super.setKennzeichen(lkw.getKennzeichen());
        this.nutzlast = lkw.getNutzlast();
    }

    public double getNutzlast() {
        return nutzlast;
    }

    public void setNutzlast(double nutzlast) {
        this.nutzlast = nutzlast;
    }

    @Override
    public double berechneSteuer() {
        return 500 + (nutzlast * 10);
    }

    @Override
    public String toString() {
        return super.toString() + ": LKW mit " + nutzlast + " Tonnen Nutzlast. " + berechneSteuer() + "€ Steuern müssen bezahlt werden.";
    }

    @Override
    public boolean equals(Object o) {
        return super.equals(o) && o instanceof LKW && (getNutzlast() == ((LKW)o).getNutzlast());
    }
}
